>From 33812c770aee8a9e35a89b5386bc4ddbae9fc87d Mon Sep 17 00:00:00 2001
From: Andrew Wafaa <awafaa@opensuse.org>
Date: Thu, 10 Nov 2011 21:03:49 +0000
Subject: [PATCH] Add ARM support for OMAP2Plus, Tegra, iMX51

---
 config.conf               |    4 +
 config/arm/imx51          | 1635 +++++++++++++++++++++++++++++
 config/arm/omap2plus      | 2487 +++++++++++++++++++++++++++++++++++++++++++++
 config/arm/tegra          | 1637 +++++++++++++++++++++++++++++
 rpm/kernel-binary.spec.in |    6 +
 rpm/package-descriptions  |   25 +
 6 files changed, 5794 insertions(+), 0 deletions(-)
 create mode 100644 config/arm/imx51
 create mode 100644 config/arm/omap2plus
 create mode 100644 config/arm/tegra

diff --git a/config.conf b/config.conf
index f7fa404..0c7648b 100644
--- a/config.conf
+++ b/config.conf
@@ -63,3 +63,7 @@
 # Maintained by jengelh
 # +sparc64	sparc64/default
 # +sparc64 -syms	sparc64/net
+
++arm		arm/imx51
++arm		arm/omap2plus
++arm		arm/tegra
diff --git a/rpm/kernel-binary.spec.in b/rpm/kernel-binary.spec.in
index 4a48471..32d87d0 100644
--- a/rpm/kernel-binary.spec.in
+++ b/rpm/kernel-binary.spec.in
@@ -408,6 +408,12 @@ add_vmlinux()
     cp -p arch/sparc/boot/$image %buildroot/boot/vmlinuz-%kernelrelease-%build_flavor
     image=vmlinux
 %endif
+%ifarch %arm
+    add_vmlinux --compressed
+    image=zImage
+    cp -p arch/arm/boot/$image %buildroot/boot/vmlinuz-%kernelrelease-%build_flavor
+    image=vmlinux
+%endif
 
 # end of build_kdump
 %endif
diff --git a/rpm/package-descriptions b/rpm/package-descriptions
index 8b52e2e..4a8bb6f 100644
--- a/rpm/package-descriptions
+++ b/rpm/package-descriptions
@@ -121,3 +121,28 @@ VMI-enabled kernel
 
 The Linux Kernel designed to run on top of a virtual machine
 interface layer (VMI).
+
+=== kernel-imx51 ===
+Kernel for Freescale's iMX SoC
+
+The standard kernel for Freescale's i.MX51 SoC, as found in 
+devices like the Genesi EfikaMX family.
+
+=== kernel-omap2plus ===
+Kernel for Texas instrument's OMAP SoC
+
+The standard kernel for Texas instrument's OMAP SoC, as 
+found in devices like the PandaBoard and BeagleBoard.
+
+=== kernel-tegra ===
+Kernel for Nvidia's Tegra SoC
+
+The standard kernel for Nvidia's Tegra SoC, as found in 
+devices like the TrimSlice.
+
+=== kernel-generic ===
+Kernel for generic ARM based SoCs
+
+A generic kernel for for ARM based SoCs, to enable easy
+testing. It doesn't have any optimisations for specific
+devices.
-- 
1.7.7

